=== frontends/CMakeLists.txt ===
ADD_SUBDIRECTORY(yasm)
ADD_SUBDIRECTORY(tasm)
ADD_SUBDIRECTORY(vsyasm)
