=== modules/arch/CMakeLists.txt ===
INCLUDE(arch/lc3b/CMakeLists.txt)
INCLUDE(arch/x86/CMakeLists.txt)
