=== modules/parsers/CMakeLists.txt ===
INCLUDE(parsers/gas/CMakeLists.txt)
INCLUDE(parsers/nasm/CMakeLists.txt)
