=== modules/dbgfmts/dwarf2/CMakeLists.txt ===
YASM_ADD_MODULE(dbgfmt_dwarf2
    dbgfmts/dwarf2/dwarf2-dbgfmt.c
    dbgfmts/dwarf2/dwarf2-line.c
    dbgfmts/dwarf2/dwarf2-aranges.c
    dbgfmts/dwarf2/dwarf2-info.c
    )
