=== modules/dbgfmts/null/CMakeLists.txt ===
YASM_ADD_MODULE(dbgfmt_null
    dbgfmts/null/null-dbgfmt.c
    )
