## yasm 1.2.0-1ea1

=== debian/changelog ===
yasm (1.2.0-1ea1) fremantle; urgency=low

  * New upstream release.

 -- Ersin Akinci <ersin.akinci@gmail.com>  Fri,  6 Jan 2012 22:12:25 -0600

yasm (0.7.1-0maemo1) fremantle; urgency=low

  * Packaged for Maemo Fremantle.

 -- Murray Cumming <murrayc@openismus.com>  Sat,  1 Aug 2009 00:24:32 +0200

yasm (0.7.1-0ubuntu2) jaunty; urgency=low

  * Add YASM support from versions 0.7.0-2 and 0.7.0-3 in Debian.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 25 Nov 2008 13:20:09 +0100

yasm (0.7.1-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #243460)
  * Apply debian-maintiner-feild spec
  * Bumped standards version to 3.8.0 (no change)

 -- Steve Stalcup <vorian@ubuntu.com>  Sat, 12 Jul 2008 08:16:01 -0400

yasm (0.7.0-1) unstable; urgency=low

  * New upstream release (Closes: #440528).

  * debian/control:
    + Set policy to 3.7.3.
  * debian/dirs:
    + Do not ship an empty /usr/lib/yasm.
  * debian/rules:
    + Don't ignore make distclean errors.
  * debian/watch:
    + Adapt the watch file to upstream's reorganisation (Closes: #449757).

  * debian/patches/020_multiple_may_be_zero.diff:
    + Patch was applied upstream. Dropping it.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 02 May 2008 13:50:49 +0200

yasm (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 26 Jun 2007 18:03:23 +0200

yasm (0.5.0-2) unstable; urgency=low

  * debian/patches/020_multiple_may_be_zero.diff:
    + New patch to fix a potential SIGFPE, courtesy of Jérémie Corbier
      <jcorbier@ubuntu.com> (Closes: #415911).

  * debian/control:
    + Added Vcs fields.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 25 Mar 2007 13:29:44 +0200

yasm (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Re-added claim of GAS support in package description.

  * debian/patches/020_overflow.diff:
    + Patch was applied upstream. Removed.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 19 Jul 2006 15:08:35 +0200

yasm (0.4.0-4) unstable; urgency=low

  * Switched patch management to quilt.

  * debian/control:
    + Set policy to 3.7.2.
    + Build-depend on quilt.
    + Removed claim of GAS and TASM support until they are really supported
      (Closes: #365783). It is a bit awkward to advertise "multiple" syntaxes
      support, but well, 0.5.0 will solve that.
  * debian/rules:
    + Add a call to dh_makeshlibs.

  * debian/patches/010_config_sub_guess.diff:
    + New patch from old diff.gz -- update config.sub and config.guess.

  * debian/patches/020_overflow.diff:
    + New patch from old diff.gz -- fix memory corruption error in genmacro.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 26 May 2006 14:02:27 +0200

yasm (0.4.0-3) unstable; urgency=low

  * debian/copyright:
    + Fixed the FSF address.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 12 Nov 2005 14:09:38 +0100

yasm (0.4.0-2) unstable; urgency=low

  * modules/preprocs/nasm/genmacro.c:
    + Fixed an off-by-one memory corruption error in genmacro that was
      causing build issues (Closes: #332518).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 14 Oct 2005 23:04:30 +0200

yasm (0.4.0-1) unstable; urgency=low

  * Initial release (Closes: #329321).
  * Updated config/config.{sub|guess}.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 21 Sep 2005 11:21:11 +0200
