=== debian/control ===
Source: yasm
Section: devel
Priority: optional
Maintainer: Ersin Akinci <ersin.akinci@gmail.com>
XSBC-Original-Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 4.0.0), quilt, bison, gettext, xmlto, python
Standards-Version: 3.8.0
XS-Vcs-Svn: svn://svn.debian.org/sam-hocevar/pkg-misc/unstable/yasm
XS-Vcs-Browser: http://svn.debian.org/wsvn/sam-hocevar/pkg-misc/unstable/yasm/

Package: yasm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: modular assembler with multiple syntaxes support
 Yasm is a complete rewrite of the NASM assembler. It supports multiple
 assembler syntaxes (eg, NASM, GAS, etc.) in addition to multiple
 output object formats (binary objects, COFF, Win32, ELF32, ELF64) and
 even multiple instruction sets (including AMD64). It also has an
 optimiser module.
