## yasm 1.3.0

=== debian/changelog ===
yasm (1.3.0-8) unstable; urgency=medium

  * QA upload.

  * Added 1020-hash-null-CVE-2021-33456.patch (Closes: #1119172).
  * Updated d/watch file format to version 5.

 -- Syed Shahrukh Hussain <syed.shahrukh@ossrevival.org>  Tue, 28 Oct 2025 02:40:00 +0500

yasm (1.3.0-7) unstable; urgency=medium

  * QA upload.

  * Added 1000-x86-dir-cpu-CVE-2023-29579.patch to solve crash bug
    (Closes: #1035951).
  * Added 1010-nasm-pp-no-env-CVE-2021-33464.patch to solve crash bug
    (Closes: #1016353).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 30 Apr 2025 07:59:59 +0200

yasm (1.3.0-6) unstable; urgency=medium

  * QA upload.

  * Switched d/watch to current github repository.
  * Switched homepage in d/control to https://github.com/yasm/yasm/
    while https://www.tortall.net/projects/yasm/ is dead.
  * Added 000-gcc-15.patch to fix GCC 15 build problem
    (Closes: #1098187).
  * Disabled non-working parallel build (Closes: #1103250).
  * Updated Standards-Version from 4.7.0 to 4.7.2.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 28 Apr 2025 23:48:47 +0200

yasm (1.3.0-5) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.6 to 4.7.0.
  * Switched project home URL to https.
  * Switched to debhelper compat level 12.
  * Removed template text from d/watch.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 22 Apr 2024 00:19:50 +0200

yasm (1.3.0-4) unstable; urgency=medium

  * QA upload.
  * Drop non-existing Vcs.

 -- Bastian Germann <bage@debian.org>  Wed, 14 Dec 2022 15:47:35 +0100

yasm (1.3.0-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #1011573)

 -- Marcos Talau <talau@debian.org>  Wed, 16 Nov 2022 06:39:57 -0300

yasm (1.3.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/autoconf.patch: Apply upstream patch to fix build failure
    (Closes: #997338)
  * debian/control: Build-Depend on python3. (Closes: #943303)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 18 May 2022 08:36:44 +0200

yasm (1.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on python2. Closes: #967234.
  * Mark yasm as M-A: foreign. Closes: #981877.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Mar 2021 10:44:35 +0100

yasm (1.3.0-2) unstable; urgency=medium

  * 100_ytasm_parsing_error.diff: fix more bugs in argument parsing.

 -- Sam Hocevar <sho@debian.org>  Sun, 03 May 2015 22:15:47 +0200

yasm (1.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: #770184).
  * Upgrade to debhelper 9 because it’s so much more concise.
  * 100_ytasm_parsing_error.diff: new patch fixing an argument parsing
    bug in ytasm (Closes: #716639).

 -- Sam Hocevar <sho@debian.org>  Sun, 03 May 2015 16:37:12 +0200

yasm (1.2.0-2) unstable; urgency=medium

  * debian/rules: update config.{sub,guess} at build time (Closes: #725948).
  * debian/patches/010_config_sub_guess.diff: dropped; this file is no
    longer required.
  * debian/docs: do not ship extra license files.
  * debian/control: update standards version; no changes required.

 -- Sam Hocevar <sho@debian.org>  Sun, 18 May 2014 23:06:53 +0200

yasm (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar <sho@debian.org>  Tue, 15 Jan 2013 21:05:07 +0100

yasm (1.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #582282).
  * 010_config_sub_guess.diff: update config.sub and config.guess to much
    more recent versions.

 -- Sam Hocevar <sho@debian.org>  Fri, 10 Jun 2011 01:05:23 +0200

yasm (0.8.0-1) unstable; urgency=low

  * New upstream release (Closes: #531047).
  * Removed all tasm patches, they’ve been merged upstream.
  * debian/control: set debhelper dependency to 5.0 and policy to 3.8.2.
  * debian/control: mention TASM in the long description.
  * debian/compat: set debhelper level to 5.
  * debian/links: link tasm to ytasm and tasm.1.gz to ytasm.1.gz.

 -- Sam Hocevar <sho@debian.org>  Tue, 14 Jul 2009 08:23:59 +0000

yasm (0.7.0-3) unstable; urgency=high

  * debian/control: build-depend on Python in order to re-run gen_x86_insn.py
    at build time. This fixes the TASM support, thanks to Samuel Thibault
    (Closes: #502238, #396291).

 -- Sam Hocevar <sho@debian.org>  Wed, 15 Oct 2008 22:04:21 +0000

yasm (0.7.0-2) unstable; urgency=high

  * 010_config_sub_guess.diff:
    + Update config.sub and config.guess.

  * 020_yasm_tasm_build.diff 200_yasm_tasm_source.diff:
    + New patch to add TASM support to YASM, thanks to the wonderful work of
      Samuel Thibault <samuel.thibault@ens-lyon.org> (Closes: #396291).
  * 210_yasm_tasm_fixes.diff:
    + Minor fixes to the above patch by Sam Hocevar.

  * 100_rebootstrap.diff:
    + Rebootstrap package because of the TASM patch.

  * debian/control:
    + Set policy to 3.8.0.
    + Add a Homepage: field.
    + Rename XS-Vcs-* fields to Vcs-*.

  * debian/tasm.1:
    + Wrote a minimalist manpage for the tasm front-end.

 -- Sam Hocevar <sho@debian.org>  Fri, 10 Oct 2008 08:25:19 +0000

yasm (0.6.1-1) UNRELEASED; urgency=low

  * New upstream release.

 -- Sam Hocevar <sho@debian.org>  Tue, 26 Jun 2007 18:03:23 +0200
