=== debian/control ===
Source: yasm
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12), bison, gettext, xmlto, python3
Standards-Version: 4.7.2
Homepage: https://github.com/yasm/yasm/
Vcs-Browser: https://salsa.debian.org/debian/yasm
Vcs-Git: https://salsa.debian.org/debian/yasm.git
Rules-Requires-Root: no

Package: yasm
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: modular assembler with multiple syntaxes support
 Yasm is a complete rewrite of the NASM assembler. It supports multiple
 assembler syntaxes (eg, NASM, GAS, TASM, etc.) in addition to multiple
 output object formats (binary objects, COFF, Win32, ELF32, ELF64) and
 even multiple instruction sets (including AMD64). It also has an
 optimiser module.
