=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --no-parallel

override_dh_auto_install:
	dh_auto_install
	rm -f debian/yasm/usr/bin/vsyasm
	rm -rf debian/yasm/usr/lib
